Spatialite connections missing from DB manager on QGIS master on Linux

2014-04-26 03:56 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18585

Description

On ubuntu precise and QGIS master, using the ubuntugis and nigthly build repos, in DB manager the icon/connections for SL databases

is missing.

Message is

spatialite: No module named pyspatialite

QGIS 2.2 from Ubuntugis is ok.

Associated revisions

Revision c0e94407 - 2014-06-01 01:53 AM - Jürgen Fischer

debian packaging update (fixes #10120)

History

#1 - 2014-04-26 07:07 AM - Gerhard Spieles

Also on windows

OSGeo4W Installer shows, that the lib "pyspatialite" is installed.

#2 - 2014-05-30 12:38 PM - Jürgen Fischer

- Category set to DB Manager

#3 - 2014-05-31 10:56 AM - Giovanni Manghi

Don't know if it is related but: does not happen on Ubuntu 14.04. On Ubuntu 12.04 (where I see this issue) when opening a project in QGIS master I get the

following even if the project does not include spatialite layers

Traceback (most recent call last):

  File "/home/giovanni/.qgis2/python/plugins/rt_omero/ManagerPlugin.py", line 98, in loadProject

    from ManagerWindow import ManagerWindow

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/giovanni/.qgis2/python/plugins/rt_omero/ManagerWindow.py", line 32, in 

    from ConnectionManager import ConnectionManager

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/giovanni/.qgis2/python/plugins/rt_omero/ConnectionManager.py", line 28, in 

    from pyspatialite import dbapi2 as sqlite

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named pyspatialite

#4 - 2014-05-31 04:54 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"c0e9440783c02c465bf167cc08ffb6a463118007".
